RIPNGD(8)

NAME
ripngd - a RIP routing engine for use with Zebra and IPv6

SYNOPSIS
ripngd [ -dhlrv ] [ -f config-file ] [ -i pid-file ] [ -P port-number ]

DESCRIPTION
ripngd is a routing component that works with the zebra routing engine.

OPTIONS

-d, --daemon
    Runs in daemon mode, forking and exiting from tty.

-f, --config-file config-file
    Specifies the config file to use for startup. If not specified this option will likely default to /usr/local/etc/ripngd.conf.

-h, --help
    A brief message.

-i, --pid_file pid-file
    When ripngd starts its process idenifier is written to pid-file. The init system uses the recorded PID to stop or restart ripngd. The likely default is /var/run/ripngd.pid.

-l, --log_mode
    Turn verbose logging on.

-P, --vty_port port-number
    Specify the port that the ripngd VTY will listen on. This defaults to 2603, as specified in /etc/services.

-r, --retain
    When the program terminates, retain routes added by ripd.

-v, --version
    Print the version and exit.

COMMANDS
router ripng router zebra -- (Move routes into kernel table) network [NETWORK] no network [NETWORK] network [IFNAME] no network [IFNAME] route [NETWORK] no route [NETWORK] flush_timer [FLUSH] distribute-list [ACCESS-LIST] [in|out] [IFNAME] show ip ripng show debugging ripng debug ripng debug ripng events debug ripng packet debug ripng zebra

FILES

/usr/local/sbin/ripngd
    The default location of the ripngd binary.

/usr/local/etc/ripngd.conf
    The default location of the ripngd config file.

$(PWD)/ripngd.log
    If the ripngd process is config'd to output logs to a file, then you will find this file in the directory where you started ripngd.

WARNING
This man page is intended as a quick reference for command line options, and for config file commands. The definitive document is the Info file zebra.

DIAGNOSTICS
The ripngd process may log to standard output, to a VTY, to a log file, or through syslog to the system logs. ripngd supports many debugging options, see the Info file, or the source for details.

SEE ALSO
References to other related man pages: ripd(8), ospfd(8), ospf6d(8), bgpd(8), zebra(8), vtysh(1)

BUGS
ripngd eats bugs for breakfast. If you have food for the maintainers try <bug-zebra@gnu.org>

AUTHOR[S]
See <www.zebra.org>, or the Info file for an accurate list of authors.